"Cannot Verify Server Identity" SSL error

As of September 2021, Let's Encrypt have dropped support for their older root CA. More information can be found here - External link opens in a new window.

This change has resulted in a number of users encountering errors with their Mail Clients being unable to verify the server identity.

To resolve this, the client software must be updated to one that is compatible with ISRG Root X1.

Please Note: This is not a Krystal-specific issue. Any software (web browsers, Mail Clients) impacted by this will also be unable to connect to any other web sites or mail servers which use Let's Encrypt.

The list below will show a list of Operating System version confirmed to be compatible with the new root CA:

Supported Operating systems (Click to expand) Supported Operating systems (Click to collapse)

    APPLE

  • MacOS 10.12.1 and above (Sierra Onwards)
  • iOS 10 and above (Please noteL Iphone 5 and above can upgrade to iOS10)

  • Windows

  • Windows XP SP3 and above

  • Linux

  • Ubuntu >= xenial / 16.04 (with updates applied)
  • Debian >= jessie / 8 (with updates applied)

  • Android

  • Android 7.1.1 and above

My Operating System is not supported:

If the device you are using does not support the new Root CA, the operating system is most likely no longer supported by the provider. You will need to update the operating system to a version that supports ISRG Root X1 where possible.

My Operating System is supported but I'm still having issues:

If your Operating system does support the new root CA and you are still having issues with the SSL certificates, it is most likely that the certificate will need to be reissued.

Please see our guide on Reissuing your SSL certificate - Link opens in a new window.


How did we do?


Powered by HelpDocs (opens in a new tab)
© Krystal Hosting Ltd 2003–2021